> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trusset.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Loan Auction

> Check if a loan has an active Dutch auction

## Path Parameters

<ParamField path="marketId" type="string" required>Market ID.</ParamField>
<ParamField path="loanId" type="integer" required>On-chain loan ID.</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.trusset.org/lending-stocks/api/liquidations/{marketId}/loan-auction/7" \
    -H "X-API-Key: trusset_your_key_here"
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "loanId": "7",
      "auction": {
        "auctionId": "1",
        "loanId": "7",
        "collateralRemaining": "25.000000000000000000",
        "debtRemaining": "2136.250000",
        "currentPrice": "172.400000",
        "endTime": 1718449200,
        "active": true
      }
    }
  }
  ```

  ```json No Auction theme={null}
  {
    "success": true,
    "data": {
      "loanId": "7",
      "auction": null
    }
  }
  ```
</ResponseExample>
